Summary:	Shell script for setting up HTB
Name:		htb.init
Version:	0.8.5
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/htbinit/%{name}-v%{version}
Source1:	http://dl.sourceforge.net/htbinit/htb-lartc.tar.gz
Patch0:		%{name}-lsb.patch
Patch1:		htb.init-v0.8.5-maxdepth.patch
URL:		http://www.sourceforge.net/projects/htbinit/
Requires:	chkconfig
Requires:	iproute >= 2.6
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
HTB.init is a shell script derived from CBQ.init that allows for easy
setup of HTB-based traffic control on Linux. HTB (Hierachical Token
Bucket) is a new queueing discipline which attempts to address the
weaknesses of current CBQ implementation.


%prep
%setup -q -T -c -a1
install %SOURCE0 .
%patch0 -p0 -b .lsb
%patch1 -p0 -b .maxdepth


%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_initrddir},/etc/sysconfig/htb}

install %{name}-v%{version} $RPM_BUILD_ROOT%{_initrddir}/htb


%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add htb


%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del htb
fi


%files
%defattr(644,root,root,755)
%doc e*
%attr(754,root,root) %{_initrddir}/htb
%dir /etc/sysconfig/htb


%changelog
* Sun Apr 16 2006 Petr Kritof <Petr|Kristof_CZ> 0.8.5-2
- Rebuild on FC-5

* Wed Sep 14 2005 Petr Kritof <Petr|Kristof_CZ> 0.8.5-1
- Based on PLD package
- Initial FC-4 build

